Subject: Re: [PATCH v3 0/3] automatically skip away from broken commits

From: Jakub Narebski <[email-masked]>
Date: Tue, 09 Jun 2009 03:02:02 -0700 (PDT)

Christian Couder <[email-masked]> writes:
> On Mon, Jun 8, 2009 at 11:02 PM, Junio C Hamano<[email-masked]> wrote:
>> "H. Peter Anvin" <[email-masked]> writes:
>>
>>> The advantage of that -- and I have to admit I don't know if it will
>>> ever matter in practice -- is that using an actual PRNG:
>>>
>>> a) is less likely to get into pathological capture behaviors.
>>> b) doesn't make people think later that there is something magic to the
>>>    arbitrary chosen numbers.
>>
>> My gut feeling agrees with you that both are likely to be true; these are
>> good points.
>>
>> Christian, what do you think?
> 
> Here are some reasons why I think my algorithm might be better:
> 
> - using HPA's formula I get on average 0.86 bits of information at
> each step when alternating (against 0.72 when using a PRNG)
> - I think that if the branches in the graph merge often between each
> other, then on a big scale it's like when you are on the linear case
> - I don't think we should try too hard to avoid pathological capture
> behaviors, because I think we can't avoid them anyway in some cases,
> like if the first bad commit is near many untestable commits

By the way, I have asked question about best algorithm for "bisect skip"
on StackOverflow[1], but didn't get (yet) any good responses...

[1]: http://stackoverflow.com/questions/959324/

-- 
Jakub Narebski
Poland
ShadeHawk on #git